<template>
    <div class="app-mob-treeview <#if appde??>${appde.getCodeName()?lower_case}-${ctrl.name}</#if> <#if ctrl.getPSSysCss()??><#assign singleCss = ctrl.getPSSysCss()> ${singleCss.getCssName()}</#if>">
    <#if ctrl.render??>
    ${ctrl.render.code}
    <#else>
        <div class="treeNav">
            <template v-for="(item,index) in treeNav">
            <ion-label  :key="index" class="sc-ion-label-ios-h sc-ion-label-ios-s ios hydrated" :class="index+1 < treeNav.length? 'treeNav-active':'' " @click="nav_click(item)">{{item.text}}</ion-label>
            <span class="tree-span" :key="index+'span'" v-if="index+1 < treeNav.length">></span>
            </template>
        </div>
        <div class="tree-partition" v-if="valueNodes.length > 0" ></div>
        <ion-list>
        <template v-for="item in rootNodes">
            <ion-item v-if="item.isNode"  :key="item.id" @click="click_node(item)">
                <ion-label>{{item.text}}</ion-label>
                <ion-icon class="tree-icon" slot="end" name="chevron-forward-outline"></ion-icon>
            </ion-item>
        </template>
       </ion-list>
        <div class="tree-partition tree-partition-bigger" v-if="rootNodes.length > 0"></div>
        <!-- 树视图 -->
        <ion-list v-if="viewType == 'DEMOBTREEVIEW'">
        <template v-for="item in valueNodes">
            <ion-item v-if="!item.isNode"  :key="item.id">
                <ion-label>{{item.text}}</ion-label>
            </ion-item>
        </template>
       </ion-list>
       <!-- 树多选 -->
        <ion-list v-else-if="viewType == 'DEMOBPICKUPTREEVIEW' && !isSingleSelect">
        <template v-for="item in valueNodes">
            <ion-item v-if="!item.isNode"  :key="item.id">
                <ion-checkbox color="secondary" v-if="viewType == 'DEMOBPICKUPTREEVIEW' && !isSingleSelect"  :checked="item.checked" :value="item.id" slot="end" @ionChange="onChecked"></ion-checkbox>
                <ion-label>{{item.text}}</ion-label>
            </ion-item>
        </template>
       </ion-list>
       <!-- 树单选 -->
        <ion-radio-group v-else-if="viewType == 'DEMOBPICKUPTREEVIEW' && isSingleSelect" :value="selectedValue" >
            <template v-for="item in valueNodes">
                <ion-item  :key="item.id"   @click="onSimpleSelChange(item)">
                    <ion-label>{{item.text}}</ion-label>
                    <ion-radio slot="end" :checked="item.checked" :value="item.id"></ion-radio>
                </ion-item>
            </template>
        </ion-radio-group>
    </#if>
    </div>
</template>